//---------------------------------------------------------------------------

#ifndef setupH
#define setupH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Registry.hpp>
#include "lang.h"
#include <Grids.hpp>
#include <ValEdit.hpp>

//---------------------------------------------------------------------------
class TSetupForm : public TForm, public TLangChangeNotify
{
__published:	// IDE-managed Components
   TButton *OKButton;
   TButton *CancelButton;
  TPageControl *PageControl1;
  TTabSheet *TabGeneral;
  TTabSheet *TabLinkTypes;
  TLabel *LangLabel;
  TCheckBox *StripWSCheck;
  TCheckBox *StripCRRadio;
  TCheckBox *UninstallCheck;
  TGroupBox *HotkeyGroup;
  TLabel *HotkeyLabel;
  TRadioButton *ConvertRadio;
  THotKey *HotKey1;
  TRadioButton *ToggleRadio;
  TGroupBox *StartAsGroup;
  TRadioButton *ActiveRadio;
  TRadioButton *InactiveRadio;
  TRadioButton *LastRadio;
  TCheckBox *WindowsStartCheck;
  TCheckBox *OnlyCopyLinksRadio;
  TComboBox *LangCombo;
  TLabel *LinkTypeLabel;
  TComboBox *LinkTypeCombo;
  TValueListEditor *LinkTypeEditor;
  TLabel *HelpLabel;
  TLabel *URLLabel;
  TButton *AddButton;
  TButton *DeleteButton;
   void __fastcall FormShow(TObject *Sender);
   void __fastcall OKButtonClick(TObject *Sender);
   void __fastcall CancelButtonClick(TObject *Sender);
   void __fastcall UninstallCheckClick(TObject *Sender);
   void __fastcall URLLabelClick(TObject *Sender);
   void __fastcall LangComboChange(TObject *Sender);
  void __fastcall AddButtonClick(TObject *Sender);
  void __fastcall DeleteButtonClick(TObject *Sender);
  void __fastcall PageControl1Change(TObject *Sender);
private:	// User declarations
   void __fastcall SaveFiletypes();
   void __fastcall LoadFiletypes();
   void __fastcall UpdateFiletypes();
   void __fastcall Deinstall();
   void __fastcall DeinstallAll();
   void __fastcall DeinstallUser(TRegistry *Registry);
   short PrevLang;
   bool  UserUninstallOK;
public:		// User declarations
        __fastcall TSetupForm(TComponent* Owner);
   virtual void LangChange();
   Classes::TShortCut __fastcall GetHotKey();
};


//---------------------------------------------------------------------------
extern PACKAGE TSetupForm *SetupForm;
//---------------------------------------------------------------------------
#endif
